Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class JasperOptionsImpl

    java.lang.Object
      org.apache.jasper.JasperOptionsImpl

All Implemented Interfaces:
  Options

public class JasperOptionsImpl
extends java.lang.Object
implements Options

Another implementation of Options, backed by a Properties file and with no external dependencies.

Constructor Summary
`JasperOptionsImpl(java.util.Properties args)`

Method Summary
`boolean` | `getClassDebugInfo()` Should we include debug information in compiled class?
`java.lang.String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`java.lang.String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`java.lang.String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`java.lang.String` | `getJspCompilerPath()` Path of the compiler to use for compiling JSP pages.
`java.lang.Class` | `getJspCompilerPlugin()` What compiler plugin should I use to compile the servlets generated from JSP files?
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getLargeFile()` Are we supporting large files?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`java.lang.Object` | `getProtectionDomain()` ProtectionDomain for this JSP Context when using a SecurityManager
`java.io.File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Should errors be sent to client or thrown into stderr?
`void` | `setProtectionDomain(java.lang.Object pd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JasperOptionsImpl

    public JasperOptionsImpl(java.util.Properties args)

Method Detail

### getKeepGenerated

    public boolean getKeepGenerated()

  Description copied from interface: `Options`
  Are we keeping generated code around?

  Specified by:
    `getKeepGenerated` in interface `Options`

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  Description copied from interface: `Options`
  Java platform encoding to generate the JSP page servlet.

  Specified by:
    `getJavaEncoding` in interface `Options`

### getLargeFile

    public boolean getLargeFile()

  Description copied from interface: `Options`
  Are we supporting large files?

  Specified by:
    `getLargeFile` in interface `Options`

### getMappedFile

    public boolean getMappedFile()

  Description copied from interface: `Options`
  Are we supporting HTML mapped servlets?

  Specified by:
    `getMappedFile` in interface `Options`

### getSendErrorToClient

    public boolean getSendErrorToClient()

  Description copied from interface: `Options`
  Should errors be sent to client or thrown into stderr?

  Specified by:
    `getSendErrorToClient` in interface `Options`

### getClassDebugInfo

    public boolean getClassDebugInfo()

  Description copied from interface: `Options`
  Should we include debug information in compiled class?

  Specified by:
    `getClassDebugInfo` in interface `Options`

### getIeClassId

    public java.lang.String getIeClassId()

  Description copied from interface: `Options`
  Class ID for use in the plugin tag when the browser is IE.

  Specified by:
    `getIeClassId` in interface `Options`

### getScratchDir

    public java.io.File getScratchDir()

  Description copied from interface: `Options`
  What is my scratch dir?

  Specified by:
    `getScratchDir` in interface `Options`

### getProtectionDomain

    public final java.lang.Object getProtectionDomain()

  Description copied from interface: `Options`
  ProtectionDomain for this JSP Context when using a SecurityManager

  Specified by:
    `getProtectionDomain` in interface `Options`

### getClassPath

    public java.lang.String getClassPath()

  Description copied from interface: `Options`
  What classpath should I use while compiling the servlets generated from JSP files?

  Specified by:
    `getClassPath` in interface `Options`

### getJspCompilerPlugin

    public java.lang.Class getJspCompilerPlugin()

  Description copied from interface: `Options`
  What compiler plugin should I use to compile the servlets generated from JSP files?

  Specified by:
    `getJspCompilerPlugin` in interface `Options`

### getJspCompilerPath

    public java.lang.String getJspCompilerPath()

  Description copied from interface: `Options`
  Path of the compiler to use for compiling JSP pages.

  Specified by:
    `getJspCompilerPath` in interface `Options`

### setProtectionDomain

    public void setProtectionDomain(java.lang.Object pd)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.